Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.props
Class RootDockingPortPropertySet

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.flexdock.util.TypedHashtable
                  org.flexdock.docking.props.BasicDockingPortPropertySet
                      org.flexdock.docking.props.RootDockingPortPropertySet

All Implemented Interfaces:
  Serializable, Cloneable, Map, DockingConstants, DockingPortPropertySet

    public class RootDockingPortPropertySet

extends BasicDockingPortPropertySet

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.flexdock.docking.props.DockingPortPropertySet
`REGION_CHECKER, REGION_SIZE_EAST, REGION_SIZE_NORTH, REGION_SIZE_SOUTH, REGION_SIZE_WEST, SINGLE_TABS, TAB_PLACEMENT`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`RootDockingPortPropertySet()`

Method Summary
`Object` | `remove(Object key)`

Methods inherited from class org.flexdock.docking.props.BasicDockingPortPropertySet
`getRegionChecker, getRegionInset, getRegionInsetKey, getTabPlacement, isSingleTabsAllowed, setRegionChecker, setRegionInset, setSingleTabsAllowed, setTabPlacement`

Methods inherited from class org.flexdock.util.TypedHashtable
`get, get, get, get, get, get, get, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, getString, put, put, put, put, put, put, put, put, put`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RootDockingPortPropertySet

    public RootDockingPortPropertySet()

Method Detail

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`
  Overrides:
    `remove` in class `Hashtable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD